Version 10.5.10, can't connect: "SSL Handshake Failed"

An instant messenger which can connect to AIM, GTalk, Jabber, ICQ, and more.
tom1234
Harmless
Posts: 1
Joined: Wed Jun 07, 2017 5:08 pm

Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby tom1234 » Wed Jun 07, 2017 5:12 pm

I use Adium 10.5.10 on OS 10.6.8. Since yesterday I've been getting this error message:

Error: Error requesting https://api.oscar.aol.com/aim/startOSCARSession: Unable to connect to api.oscar.aol.com: SSL Handshake Failed


Also, I tried opening a trouble ticket but I get this error:

TracError: No Trac environment found at /srv/trac/env
[Errno 2] No such file or directory: '/srv/trac/env/VERSION'

YA_Adium_User
Harmless
Posts: 1
Joined: Sat Jun 10, 2017 5:13 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby YA_Adium_User » Sat Jun 10, 2017 5:23 am

The AIM "SSL Handshake Failed" error is happening on 1.5.10 for me too, and the beta releases seem to require 10.7, which my iMac can't run.

I hope whatever the fix is can be rolled into a Snow Leopard-compatible release. Adium is by far my favorite chat client (I realize that in the dying world of people actually conversing and not just sending nudes that's sort of a "healthiest leper in the colony" compliment).

Hackintosh
Harmless
Posts: 1
Joined: Mon Jun 26, 2017 11:59 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Hackintosh » Mon Jun 26, 2017 12:24 pm

I am experiencing the same error with Adium when I try to connect.
"SSL Handshake Failed"

I am running a Mac Mini Core i5.
My OS is Lion 10.7.5
Build 11G63

My Adium verison is 1.5.10.4.

One day a month ago or so everything was fine.
The next day, Adium wouldn't connect with that error.
No changes were made to the OS from one day to the next.

I did a fresh install of Mac OS X Lion and installed all the updates and installed Adium of course, and I still got the same error.
I then tried it on a fresh install of Mac OS X Mountain Lion with all the updates, and installed the same Adium and it WORKED!!!

On the Lion it doesn't work on, I looked in the Console log and found these two error messages...

6/22/17 10:03:17.193 PM [0x0-0x1d01d0].com.adiumX.adiumX: cdsa: SSLHandshake failed with error -9844

6/22/17 10:00:58.913 PM [0x0-0x1c61c6].com.adiumX.adiumX: SocketRead err = -9806

I was wondering if somebody could tell me what these error numbers mean? Or point me in the right direction to find that out.

Also I realize the simplest solution would be just to upgrade my Lion to Mountain Lion, but that particular Mac Mini is my main Mac and I'm not going to do that. The fresh installs were done on other Mac Minis, just for testing purposes.

Oh, I also updated the Openssl library of Lion to the same version that Mountain Lion uses, from 0.9.8za to 0.9.8zg, but that didn't change anything. Same error.

I realize the error probably has something to do with a certificate expiring or something like that. I looked at the certificates in Keychain Access on both Lion and Mountain Lion and they are awfully similar. With nothing obvious like a certificate that has just expired.

And there you have it. If somebody could point me in the right direction, I would be most appreciative.

Ideally what I want to do is change the one thing on my Lion that is different from my Mountain Lion, to get Adium to connect again. Whether it be a setting someplace or coping a file from one os to the other. Yeah I know, the file coping fix method is probably frowned upon, but if it fixes it, I'll be happy.

shaosean
Harmless
Posts: 8
Joined: Tue Nov 29, 2016 1:29 pm

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby shaosean » Wed Jun 28, 2017 7:31 pm

That server no longer supports SSL 2, SSL 3 or TLSv1.. I know on my older Mac I can't view my own website because I don't support the older, insecure SSL/TLS..

I'm not too certain how to check it, as the trac server seems to be offline so I can't look at the source code..

User avatar
Robby
Cocoaforge Admin
Posts: 2530
Joined: Mon May 01, 2006 3:00 am
Contact:

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Robby » Wed Jun 28, 2017 7:32 pm

shaosean wrote:[…] I'm not too certain how to check it, as the trac server seems to be offline so I can't look at the source code..

We have a mirror of the source code here: https://bitbucket.org/adium/adium

User avatar
Robby
Cocoaforge Admin
Posts: 2530
Joined: Mon May 01, 2006 3:00 am
Contact:

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Robby » Wed Jun 28, 2017 11:23 pm

Using the latest version of Adium, 1.5.10.4, I'm able to connect to AIM without a hitch.

For troubleshooting purposes, could those of you unable to connect please post a screenshot of your account settings? You can find them by opening Adium's preferences from the "Adium" menu, double-clicking your AIM account and then choosing the third tab called "Settings".

Below are my settings. I've tested connecting with each of the "Encryption" settings and all three work for me.

Bildschirmfoto 2017-06-29 um 01.21.42.png


Return to “Adium”

Who is online

Users browsing this forum: No registered users